# botoplus

A project providing a Python Library for Jupyter Notebooks to support data analysis using Amazon Security Lake for AWS Security Operations.

## Getting Started

| Notebook | Description |
| -------- | ----------- |
| [botoplus](botoplus.ipynb) | Dependencies, Authentication, Configuration & Searching |

### Security Lake

| Notebook | Description |
| -------- | ----------- |
| [resolver-query-logs](notebooks/securitylake/resolver-query-logs.ipynb) | Amazon Route53 Resolver Query Logs |

## More Notebooks

### Cloud Development Kit (CDK)

| Notebook | Description |
| -------- | ----------- |
| [identify-cdk-bootstraps](notebooks/cdk/identify-cdk-bootstraps.ipynb) | Identify CDK Bootstraps with Versions for All Accounts & Regions |

### Elastic Compute Cloud (EC2)

| Notebook | Description |
| -------- | ----------- |
| [public-amazon-machine-images](notebooks/ec2/public-amazon-machine-images.ipynb) | Find Public Amazon Machine Images |

### Organizations

| Notebook | Description |
| -------- | ----------- |
| [identify-privileged-accounts](notebooks/organizations/identify-privileged-accounts.ipynb) | List of Delegated Administration Accounts & Services |

### Security Hub

| Notebook | Description |
| -------- | ----------- |
| [minimal-cost-configuration](notebooks/securityhub/minimal-cost-configuration.ipynb) | Disable All Standards & Limit Subscriptions (IAM Analyzer & Health) |

### Simple Storage Service (S3)

| Notebook | Description |
| -------- | ----------- |
| [public-cors-configuration](notebooks/s3/public-cors-configuration.ipynb) | Find potentially public S3 Buckets with CORS Configured |

### Virtual Private Cloud (VPC)

| Notebook | Description |
| -------- | ----------- |
| [ip-address-conflicts](notebooks/vpc/ip-address-conflicts.ipynb) | Identify IP address conflicts, default VPCs, & IPv6 configs |
